<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Address suggestions</title>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="./static/js/correctme.instant.js"></script>
 
    <script>
        $ = jQuery.noConflict();
        $(document).ready(function () {
            $.fn.addressLineInstantSuggest({
                host: "https://correctme.com.ua",
                token: "testEtoken",
                input_id: "address_suggest"
            });
            $.fn.addressLineInstantCorrect({
                host: "https://correctme.com.ua",
                token: "testEtoken",
                input_id: "address_suggest",
                button_id: "address_suggest_button",
                zip: "correctZipcode",
                address_line: "correctAddress",
                district: "correctDistrict",
                area: "correctArea",
                city: "correctCity",
                street: "correctStreet",
                number: "correctNumber",
                error: "input-box-error", // switch css class in case of address error
                verified: "input-box-ok" // switch css class in case of verified
            });

            $.fn.fullnameLineInstantSuggest({
                host: "https://correctme.com.ua",
                token: "testEtoken",
                input_id: "fullname_suggest",
                fullname: "correctFullname",
                name: "correctName",
                thirdname: "correctThirdname",
                surname: "correctSurname",
                gender: "correctGender"
            });
        });
    </script>
</head>
<body>

<div class="ui-widget">
    <!--<input id="address" size="70">-->
    <!--<input id="fullname" size="70">-->
    <!--https://correctme.com.ua/api/v1/suggestName?etoken=testEtoken&name=de-->

    <div id="SuggestAddress">
        <div><p>
            <h3>АДРЕСА</h3></div>
        <form action="" onSubmit="return false;">
            <div>
                <input id="address_suggest" size="70">
            </div>
        </form>

        <form class="form-horizontal">
            <div>
                <label for="correctAddress">Перевiрена адреса</label>
                <div>
                    <input type="text" class="form-control" id="correctAddress" size="70" readonly>
                </div>

            </div>
            <button type="button" id="address_correct_button" tabindex="-1" class="sbx-correct__submit" onSubmit="return false;">Перевірити</button>
            <div>
                <label for="correctZipcode" class="col-md-4 control-label">Індекс</label>
                <div>
                    <input type="text" class="form-control" id="correctZipcode" readonly>
                </div>

            </div>
            <div>
                <label for="correctDistrict" class="col-md-4 control-label">Область</label>
                <div>
                    <input type="text" class="form-control" id="correctDistrict" readonly>
                </div>
            </div>

            <div>
                <label for="correctArea" class="col-md-4 control-label">Район</label>
                <div>
                    <input type="text" class="form-control" id="correctArea" readonly>
                </div>
            </div>

            <div>
                <label for="correctCity" class="col-md-4 control-label">Населений пункт</label>
                <div>
                    <input type="text" class="form-control" id="correctCity" readonly>
                </div>
            </div>

            <div>
                <label for="correctStreet" class="col-md-4 control-label">Вулиця</label>
                <div>
                    <input type="text" class="form-control" id="correctStreet" readonly>
                </div>
            </div>

            <div>
                <label for="correctNumber" class="col-md-4 control-label">Дiм</label>
                <div>
                    <input type="text" class="form-control" id="correctNumber" readonly>
                </div>
            </div>

        </form>
    </div>

    <div id="SuggestFullName">
        <div><p>
            <h3>Пiдказка ПIБ</h3></div>
        <form action="" onSubmit="return false;">
            <div>
                <input id="fullname_suggest" size="70">
            </div>
        </form>

        <form class="form-horizontal">
            <div>
                <label for="correctFullname">Пiдказаний ПIБ</label>
                <div>
                    <input type="text" id="correctFullname" size="70" readonly>
                </div>

            </div>
            <div>
                <label for="correctName">Ім'я</label>
                <div>
                    <input type="text" id="correctName" readonly>
                </div>

            </div>
            <div>
                <label for="correctThirdname">По батьковi</label>
                <div>
                    <input type="text" id="correctThirdname" readonly>
                </div>
            </div>

            <div>
                <label for="correctSurname">Призвiщє</label>
                <div>
                    <input type="text" id="correctSurname" readonly>
                </div>
            </div>

            <div>
                <label for="correctSurname">Стать</label>
                <div>
                    <input type="text" id="correctGender" readonly>
                </div>
            </div>

        </form>
    </div>
</div>


</body>

<style>

    input.input-box-ok, textarea {
        background: #dff0d8;
    }

    input.input-box-error, textarea {
        background: #f2dede;
    }
</style>
</html>
